## czmq 4.1.0

=== CMakeLists.txt ===
################################################################################
#  THIS FILE IS 100% GENERATED BY ZPROJECT; DO NOT EDIT EXCEPT EXPERIMENTALLY  #
#  Read the zproject/README.md for information about making permanent changes. #
################################################################################

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.8.8)
project(czmq)
enable_language(C)
enable_testing()

set(SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}")
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
# Select flags
SET(CMAKE_C_FLAGS_RELEASE "-O3")

# Will be used to add flags to pkg-config useful when apps want to statically link
set(pkg_config_libs_private "")

########################################################################
# options
########################################################################
if (NOT CMAKE_BUILD_TYPE)
    if (EXISTS "${SOURCE_DIR}/.git")
        set (CMAKE_BUILD_TYPE Debug)
    else ()
# http://xit0.org/2013/04/cmake-use-git-branch-and-commit-details-in-project/
# http://stackoverflow.com/questions/6797395/cmake-execute-process-always-fails-with-no-such-file-or-directory-when-i-cal
        execute_process(
            COMMAND git rev-parse --show-toplevel
            WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
            RESULT_VARIABLE git_result
            OUTPUT_VARIABLE git_root
            OUTPUT_STRIP_TRAILING_WHITESPACE
        )
        message(STATUS "git workspace root [${git_result}]: ${git_root}")
        if ( "${git_result}" == "0" )
            set (CMAKE_BUILD_TYPE Debug)
        else ()
            set (CMAKE_BUILD_TYPE Release)
        endif ()
    endif ()
endif ()
if (${CMAKE_BUILD_TYPE} STREQUAL "Debug")
    OPTION (ENABLE_DRAFTS "Build and install draft classes and methods" ON)
else ()
    OPTION (ENABLE_DRAFTS "Build and install draft classes and methods" OFF)
endif ()
IF (ENABLE_DRAFTS)
    ADD_DEFINITIONS (-DCZMQ_BUILD_DRAFT_API)
ENDIF (ENABLE_DRAFTS)

########################################################################
# platform.h
########################################################################
include(CheckIncludeFile)
CHECK_INCLUDE_FILE("linux/wireless.h" HAVE_LINUX_WIRELESS_H)
CHECK_INCLUDE_FILE("net/if_media.h" HAVE_NET_IF_MEDIA_H)

include(CheckFunctionExists)
CHECK_FUNCTION_EXISTS("getifaddrs" HAVE_GETIFADDRS)
CHECK_FUNCTION_EXISTS("freeifaddrs" HAVE_FREEIFADDRS)

include(CheckIncludeFiles)
check_include_files("sys/socket.h;net/if.h" HAVE_NET_IF_H)
if (NOT HAVE_NET_IF_H)
    CHECK_INCLUDE_FILE("net/if.h" HAVE_NET_IF_H)
endif()

file(WRITE "${SOURCE_DIR}/src/platform.h.in" "
#cmakedefine HAVE_LINUX_WIRELESS_H
#cmakedefine HAVE_NET_IF_H
#cmakedefine HAVE_NET_IF_MEDIA_H
#cmakedefine HAVE_GETIFADDRS
#cmakedefine HAVE_FREEIFADDRS
")

configure_file("${SOURCE_DIR}/src/platform.h.in" "${SOURCE_DIR}/src/platform.h")

#The MSVC C compiler is too out of date,
#so the sources have to be compiled as c++
if (MSVC)
    enable_language(CXX)
    file(GLOB sources "${SOURCE_DIR}/src/*.c")
    set_source_files_properties(
        ${sources}
        PROPERTIES LANGUAGE CXX
    )
    set(MORE_LIBRARIES ws2_32 Rpcrt4 Iphlpapi)
endif()

# specific case of windows UWP
if( "${CMAKE_SYSTEM_NAME}" STREQUAL "WindowsStore" AND "${CMAKE_SYSTEM_VERSION}" STREQUAL "10.0")
  ADD_DEFINITIONS(-DZMQ_HAVE_WINDOWS_UWP)
  ADD_DEFINITIONS(-D_WIN32_WINNT=_WIN32_WINNT_WIN10)
endif()


# required libraries for mingw
if (MINGW)
    set(MORE_LIBRARIES -lws2_32 -lrpcrt4 -liphlpapi)
endif()

# required libraries for cygwin
if (CYGWIN)
    set(MORE_LIBRARIES)
endif()

list(APPEND CMAKE_MODULE_PATH "${SOURCE_DIR}")
set(OPTIONAL_LIBRARIES)

########################################################################
# LIBZMQ dependency
########################################################################
find_package(libzmq REQUIRED)
IF (LIBZMQ_FOUND)
    include_directories(${LIBZMQ_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${LIBZMQ_LIBRARIES})
    set(pkg_config_libs_private "${pkg_config_libs_private} -lzmq")
ELSE (LIBZMQ_FOUND)
    message( FATAL_ERROR "libzmq not found." )
ENDIF (LIBZMQ_FOUND)

########################################################################
# UUID dependency
########################################################################
find_package(uuid)
IF (UUID_FOUND)
    include_directories(${UUID_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${UUID_LIBRARIES})
    set(pkg_config_libs_private "${pkg_config_libs_private} -luuid")
    add_definitions(-DHAVE_UUID)
    list(APPEND OPTIONAL_LIBRARIES ${UUID_LIBRARIES})
ENDIF (UUID_FOUND)

########################################################################
# SYSTEMD dependency
########################################################################
find_package(systemd)
IF (SYSTEMD_FOUND)
    include_directories(${SYSTEMD_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${SYSTEMD_LIBRARIES})
    set(pkg_config_libs_private "${pkg_config_libs_private} -lsystemd")
    add_definitions(-DHAVE_LIBSYSTEMD)
    list(APPEND OPTIONAL_LIBRARIES ${SYSTEMD_LIBRARIES})
ENDIF (SYSTEMD_FOUND)

########################################################################
# LZ4 dependency
########################################################################
find_package(lz4)
IF (LZ4_FOUND)
    include_directories(${LZ4_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${LZ4_LIBRARIES})
    set(pkg_config_libs_private "${pkg_config_libs_private} -llz4")
    add_definitions(-DHAVE_LIBLZ4)
    list(APPEND OPTIONAL_LIBRARIES ${LZ4_LIBRARIES})
ENDIF (LZ4_FOUND)

########################################################################
# version
########################################################################
set(CZMQ_VERSION_MAJOR 4)
set(CZMQ_VERSION_MINOR 1)
set(CZMQ_VERSION_PATCH 0)
set(CZMQ_VERSION "${CZMQ_VERSION_MAJOR}.${CZMQ_VERSION_MINOR}.${CZMQ_VERSION_PATCH}")
message(STATUS "Detected CZMQ Version - ${CZMQ_VERSION}")


########################################################################
# includes
########################################################################
set (czmq_headers
    include/czmq_library.h
    include/czmq_prelude.h
    include/czmq.h
    include/zactor.h
    include/zarmour.h
    include/zcert.h
    include/zcertstore.h
    include/zchunk.h
    include/zclock.h
    include/zconfig.h
    include/zdigest.h
    include/zdir.h
    include/zdir_patch.h
    include/zfile.h
    include/zframe.h
    include/zhash.h
    include/zhashx.h
    include/ziflist.h
    include/zlist.h
    include/zlistx.h
    include/zloop.h
    include/zmsg.h
    include/zpoller.h
    include/zsock.h
    include/zstr.h
    include/zsys.h
    include/zuuid.h
    include/zauth.h
    include/zbeacon.h
    include/zgossip.h
    include/zmonitor.h
    include/zproxy.h
    include/zrex.h
    src/zgossip_msg.h
    src/zsock_option.inc
    src/zgossip_engine.inc
    src/zhash_primes.inc
    src/foreign/sha1/sha1.inc_c
    src/foreign/sha1/sha1.h
    src/foreign/slre/slre.inc_c
    src/foreign/slre/slre.h
    src/foreign/slre/readme.txt
)

IF (ENABLE_DRAFTS)
    list(APPEND czmq_headers
        include/zargs.h
        include/zproc.h
        include/ztimerset.h
        include/ztrie.h
    )
ENDIF (ENABLE_DRAFTS)

source_group ("Header Files" FILES ${czmq_headers})
install(FILES ${czmq_headers} DESTINATION include)

########################################################################
# library
########################################################################
include_directories("${SOURCE_DIR}/src" "${SOURCE_DIR}/include")
set (czmq_sources
    src/zactor.c
    src/zarmour.c
    src/zcert.c
    src/zcertstore.c
    src/zchunk.c
    src/zclock.c
    src/zconfig.c
    src/zdigest.c
    src/zdir.c
    src/zdir_patch.c
    src/zfile.c
    src/zframe.c
    src/zhash.c
    src/zhashx.c
    src/ziflist.c
    src/zlist.c
    src/zlistx.c
    src/zloop.c
    src/zmsg.c
    src/zpoller.c
    src/zsock.c
    src/zstr.c
    src/zsys.c
    src/zuuid.c
    src/zauth.c
    src/zbeacon.c
    src/zgossip.c
    src/zmonitor.c
    src/zproxy.c
    src/zrex.c
    src/zgossip_msg.c
)

IF (ENABLE_DRAFTS)
    list (APPEND czmq_sources
        src/zargs.c
        src/zproc.c
        src/ztimerset.c
        src/ztrie.c
    )
ENDIF (ENABLE_DRAFTS)

IF (ENABLE_DRAFTS)
    list (APPEND czmq_sources
        src/czmq_private_selftest.c
    )
ENDIF (ENABLE_DRAFTS)

source_group("Source Files" FILES ${czmq_sources})


option(CZMQ_BUILD_SHARED "Whether or not to build the shared object" ON)
option(CZMQ_BUILD_STATIC "Whether or not to build the static archive" ON)

if (NOT CZMQ_BUILD_SHARED AND NOT CZMQ_BUILD_STATIC)
  message(FATAL_ERROR "Neither static nor shared library build enabled")
endif()

IF (NOT MSVC)
  # avoid building everything twice for shared + static
  # only on *nix, as Windows needs different preprocessor defines in static builds
  add_library (objects OBJECT ${czmq_sources})
  set_property(TARGET objects PROPERTY POSITION_INDEPENDENT_CODE ON)
ENDIF (NOT MSVC)

# shared
if (CZMQ_BUILD_SHARED)
  IF (MSVC)
    add_library(czmq SHARED ${czmq_sources})
  ELSE (MSVC)
    add_library(czmq SHARED $<TARGET_OBJECTS:objects>)
  ENDIF (MSVC)

  set_target_properties (czmq PROPERTIES
    PUBLIC_HEADER "${public_headers}"
    DEFINE_SYMBOL "CZMQ_EXPORTS"
    SOVERSION "4"
    VERSION "${CZMQ_VERSION}"
    COMPILE_DEFINITIONS "DLL_EXPORT"
    OUTPUT_NAME "czmq"
    PREFIX "lib"
  )

  target_link_libraries(czmq
    ${ZEROMQ_LIBRARIES} ${MORE_LIBRARIES}
  )

  install(TARGETS czmq
    LIBRARY DESTINATION "lib${LIB_SUFFIX}" # .so file
    ARCHIVE DESTINATION "lib${LIB_SUFFIX}" # .lib file
    RUNTIME DESTINATION bin                # .dll file
  )

  target_include_directories(czmq
    PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/include
  )
endif()

# static
if (CZMQ_BUILD_STATIC)
  IF (MSVC)
    add_library(czmq-static STATIC ${czmq_sources})
  ELSE (MSVC)
    add_library(czmq-static STATIC $<TARGET_OBJECTS:objects>)
  ENDIF (MSVC)

  set_target_properties(czmq-static PROPERTIES
    PUBLIC_HEADER "${public_headers}"
    COMPILE_DEFINITIONS "CZMQ_STATIC"
    OUTPUT_NAME "czmq"
    PREFIX "lib"
  )

  target_link_libraries(czmq-static
    ${ZEROMQ_LIBRARIES} ${MORE_LIBRARIES}
  )

  install(TARGETS czmq-static
    LIBRARY DESTINATION "lib${LIB_SUFFIX}" # .so file
    ARCHIVE DESTINATION "lib${LIB_SUFFIX}" # .lib file
    RUNTIME DESTINATION bin                # .dll file
  )

  target_include_directories(czmq-static
    PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/include
  )
  target_compile_definitions(czmq-static
    PUBLIC CZMQ_STATIC
  )

endif()


include(${CMAKE_CURRENT_SOURCE_DIR}/src/CMakeLists-local.txt) # Optional project-local hook

########################################################################
# pkgconfig
########################################################################
set (VERSION "4.1.0")
set (prefix "${CMAKE_INSTALL_PREFIX}")
set (exec_prefix "\${prefix}")
set (libdir "\${prefix}/lib${LIB_SUFFIX}")
set (includedir "\${prefix}/include")
IF (ENABLE_DRAFTS)
    set (pkg_config_defines "-DCZMQ_BUILD_DRAFT_API=1")
ELSE (ENABLE_DRAFTS)
    set (pkg_config_defines "")
ENDIF (ENABLE_DRAFTS)
configure_file(
    "${SOURCE_DIR}/src/libczmq.pc.in"
    "${SOURCE_DIR}/src/libczmq.pc"
@ONLY)

install(
    FILES "${SOURCE_DIR}/src/libczmq.pc"
    DESTINATION "lib${LIB_SUFFIX}/pkgconfig"
)

########################################################################
# executables
########################################################################
add_executable(
    zmakecert
    "${SOURCE_DIR}/src/zmakecert.c"
)
if (TARGET czmq)
target_link_libraries(
    zmakecert
    czmq
    ${LIBZMQ_LIBRARIES}
    ${OPTIONAL_LIBRARIES}
)
endif()
if (NOT TARGET czmq AND TARGET czmq-static)
target_link_libraries(
    zmakecert
    czmq-static
    ${LIBZMQ_LIBRARIES}

=== bindings/jni/CMakeLists.txt ===
################################################################################
#  THIS FILE IS 100% GENERATED BY ZPROJECT; DO NOT EDIT EXCEPT EXPERIMENTALLY  #
#  Read the zproject/README.md for information about making permanent changes. #
################################################################################
cmake_minimum_required (VERSION 2.8)

project (czmqjni CXX)
enable_language (C)

# Search for Find*.cmake files in the following locations
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/../..")

########################################################################
# JNI dependency
########################################################################
find_package (JNI REQUIRED)
include_directories (${JAVA_INCLUDE_PATH} ${JAVA_INCLUDE_PATH2} src/native/include)

########################################################################
# LIBZMQ dependency
########################################################################
find_package(libzmq REQUIRED)
IF (LIBZMQ_FOUND)
    include_directories(${LIBZMQ_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${LIBZMQ_LIBRARIES})
ELSE (LIBZMQ_FOUND)
    message( FATAL_ERROR "libzmq not found." )
ENDIF (LIBZMQ_FOUND)

########################################################################
# CZMQ dependency
########################################################################
find_package(czmq REQUIRED)
IF (CZMQ_FOUND)
    include_directories(${CZMQ_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${CZMQ_LIBRARIES})
ELSE (CZMQ_FOUND)
    message( FATAL_ERROR "czmq not found." )
ENDIF (CZMQ_FOUND)

set (czmqjni_sources
    src/main/c/org_zeromq_czmq_Zarmour.c
    src/main/c/org_zeromq_czmq_Zcert.c
    src/main/c/org_zeromq_czmq_Zcertstore.c
    src/main/c/org_zeromq_czmq_Zchunk.c
    src/main/c/org_zeromq_czmq_Zclock.c
    src/main/c/org_zeromq_czmq_Zconfig.c
    src/main/c/org_zeromq_czmq_Zdigest.c
    src/main/c/org_zeromq_czmq_Zdir.c
    src/main/c/org_zeromq_czmq_ZdirPatch.c
    src/main/c/org_zeromq_czmq_Zfile.c
    src/main/c/org_zeromq_czmq_Zframe.c
    src/main/c/org_zeromq_czmq_Zhash.c
    src/main/c/org_zeromq_czmq_Zhashx.c
    src/main/c/org_zeromq_czmq_Ziflist.c
    src/main/c/org_zeromq_czmq_Zlist.c
    src/main/c/org_zeromq_czmq_Zlistx.c
    src/main/c/org_zeromq_czmq_Zloop.c
    src/main/c/org_zeromq_czmq_Zmsg.c
    src/main/c/org_zeromq_czmq_Zpoller.c
    src/main/c/org_zeromq_czmq_Zproc.c
    src/main/c/org_zeromq_czmq_Zsock.c
    src/main/c/org_zeromq_czmq_Zstr.c
    src/main/c/org_zeromq_czmq_Zsys.c
    src/main/c/org_zeromq_czmq_Ztimerset.c
    src/main/c/org_zeromq_czmq_Ztrie.c
    src/main/c/org_zeromq_czmq_Zuuid.c
)

add_library (czmqjni SHARED ${czmqjni_sources})
add_definitions (-DCZMQ_BUILD_DRAFT_API)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pedantic -O2")
set (CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/build)
set (CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/build)
set (CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/build)

target_link_libraries (czmqjni ${MORE_LIBRARIES})

=== bindings/jni/android/CMakeLists.txt ===
################################################################################
#  THIS FILE IS 100% GENERATED BY ZPROJECT; DO NOT EDIT EXCEPT EXPERIMENTALLY  #
#  Read the zproject/README.md for information about making permanent changes. #
################################################################################
cmake_minimum_required (VERSION 2.8)

project (czmqjni CXX)
enable_language (C)

# Search for Find*.cmake files in the following locations
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/..")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/../../..")

########################################################################
# JNI dependency
########################################################################
find_package (JNI REQUIRED)
include_directories (${JAVA_INCLUDE_PATH} ${JAVA_INCLUDE_PATH2} ../src/native/include)

########################################################################
# LIBZMQ dependency
########################################################################
find_package(libzmq REQUIRED)
IF (LIBZMQ_FOUND)
    include_directories(${LIBZMQ_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${LIBZMQ_LIBRARIES})
ELSE (LIBZMQ_FOUND)
    message( FATAL_ERROR "libzmq not found." )
ENDIF (LIBZMQ_FOUND)

########################################################################
# CZMQ dependency
########################################################################
find_package(czmq REQUIRED)
IF (CZMQ_FOUND)
    include_directories(${CZMQ_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${CZMQ_LIBRARIES})
ELSE (CZMQ_FOUND)
    message( FATAL_ERROR "czmq not found." )
ENDIF (CZMQ_FOUND)

set (czmqjni_sources
    ../src/main/c/org_zeromq_czmq_Zarmour.c
    ../src/main/c/org_zeromq_czmq_Zcert.c
    ../src/main/c/org_zeromq_czmq_Zcertstore.c
    ../src/main/c/org_zeromq_czmq_Zchunk.c
    ../src/main/c/org_zeromq_czmq_Zclock.c
    ../src/main/c/org_zeromq_czmq_Zconfig.c
    ../src/main/c/org_zeromq_czmq_Zdigest.c
    ../src/main/c/org_zeromq_czmq_Zdir.c
    ../src/main/c/org_zeromq_czmq_ZdirPatch.c
    ../src/main/c/org_zeromq_czmq_Zfile.c
    ../src/main/c/org_zeromq_czmq_Zframe.c
    ../src/main/c/org_zeromq_czmq_Zhash.c
    ../src/main/c/org_zeromq_czmq_Zhashx.c
    ../src/main/c/org_zeromq_czmq_Ziflist.c
    ../src/main/c/org_zeromq_czmq_Zlist.c
    ../src/main/c/org_zeromq_czmq_Zlistx.c
    ../src/main/c/org_zeromq_czmq_Zloop.c
    ../src/main/c/org_zeromq_czmq_Zmsg.c
    ../src/main/c/org_zeromq_czmq_Zpoller.c
    ../src/main/c/org_zeromq_czmq_Zproc.c
    ../src/main/c/org_zeromq_czmq_Zsock.c
    ../src/main/c/org_zeromq_czmq_Zstr.c
    ../src/main/c/org_zeromq_czmq_Zsys.c
    ../src/main/c/org_zeromq_czmq_Ztimerset.c
    ../src/main/c/org_zeromq_czmq_Ztrie.c
    ../src/main/c/org_zeromq_czmq_Zuuid.c
)

add_library (czmqjni SHARED ${czmqjni_sources})
add_definitions (-DCZMQ_BUILD_DRAFT_API)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pedantic -O2")
set (CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/build)
set (CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/build)
set (CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/build)

target_link_libraries (czmqjni ${MORE_LIBRARIES})

=== debian/changelog ===
czmq (4.1.0-2) unstable; urgency=medium

  * Backport 0001-fix-hurd-ftbfs.patch to fix build on Hurd.

 -- Luca Boccassi <bluca@debian.org>  Mon, 01 Jan 2018 19:43:52 +0100

czmq (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0.
    - Changelog: https://github.com/zeromq/czmq/releases/tag/v4.1.0
  * Drop all patches, merged upstream.
  * Include dpkg/default.mk instead of redefining variables in
    debian/rules.
  * Drop libczmq-dbg, migrate to autogenerated dbgsym.
  * Update symbols file for 4.1.0.
  * Use HTTPS in debian/copyright.
  * Use short-form of MPL-2.0 in debian/copyright.
  * Update dates in debian/copyright.
  * Bump Standards-Version to 4.1.3.

 -- Luca Boccassi <bluca@debian.org>  Mon, 01 Jan 2018 12:49:04 +0100

czmq (4.0.2-10) unstable; urgency=medium

  * Switch to debian.org email address.
  * Update 0010-fix-zproxy-test.patch to really fix zproxy selftest
    hang on ppc64el and armel. (Closes: #865581)

 -- Luca Boccassi <bluca@debian.org>  Mon, 04 Sep 2017 23:18:05 +0100

czmq (4.0.2-9) experimental; urgency=medium

  * Add support for nodoc DEB_BUILD_OPTIONS and DEB_BUILD_PROFILES
  * Add support for nocheck DEB_BUILD_PROFILES
  * Bump Standards-Version to 4.0.0
  * Add 0010-fix-zproxy-test.patch to fix unreliable unit test
    (Closes: #865581)

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sun, 25 Jun 2017 15:46:13 +0100

czmq (4.0.2-8) unstable; urgency=medium

  * Backport patches to fix build with GCC 7:
    0008-gcc7-zgossip-engine-fix.patch and 0009-gcc7-zsys-fix.patch
    (Closes: #853365)

 -- Luca Boccassi <luca.boccassi@gmail.com>  Tue, 20 Jun 2017 16:07:00 +0100

=== debian/control ===
Source: czmq
Priority: optional
Maintainer: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper (>= 9.20160114),
 autotools-dev,
 pkg-config,
 dh-autoreconf,
 libzmq3-dev,
 uuid-dev,
 libsystemd-dev [linux-any],
 asciidoc-base <!nodoc> | asciidoc <!nodoc>,
 xmlto <!nodoc>,
Standards-Version: 4.1.3
Section: libs
Homepage: http://czmq.zeromq.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/czmq.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/czmq.git

Package: libczmq4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: High-level C binding for ZeroMQ
 czmq (previously known as libzapi) provides a high-level C binding for
 0MQ, a lightweight messaging library.
 .
 This library provides higher level abstractions on top of the base
 library, with features such as:
  * Work with messages as strings, individual frames, or multipart messages.
  * Automatic closure of any open sockets at context termination.
  * Automatic LINGER configuration of all sockets for context termination.
  * Portable API for creating child threads and ØMQ pipes to talk to them.
  * Simple reactor with one-off and repeated timers, and socket readers.
  * System clock functions for sleeping and calculating timers.
  * Easy API to get/set all socket options.
  * Includes generic hash and list containers.

Package: libczmq-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libzmq3-dev,
         libczmq4 (= ${binary:Version})
Multi-Arch: same
Description: High-level C binding for ZeroMQ (development files)
 czmq (previously known as libzapi) provides a high-level C binding for
 0MQ, a lightweight messaging library.
 .
 This library provides higher level abstractions on top of the base
 library, with features such as:
  * Work with messages as strings, individual frames, or multipart messages.
  * Automatic closure of any open sockets at context termination.
  * Automatic LINGER configuration of all sockets for context termination.
  * Portable API for creating child threads and ØMQ pipes to talk to them.
  * Simple reactor with one-off and repeated timers, and socket readers.
  * System clock functions for sleeping and calculating timers.
  * Easy API to get/set all socket options.
  * Includes generic hash and list containers.
 .
 This package provides the development files for czmq.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
include /usr/share/dpkg/default.mk

DOCS = yes
ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = no
endif
ifneq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
DOCS = no
endif

TESTS = yes
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
TESTS = no
endif
ifneq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
TESTS = no
endif

%:
	dh $@ --with autoreconf


override_dh_auto_configure:
	dh_auto_configure -- \
		--with-uuid=yes \
		--with-libsystemd=yes \
		--with-docs=$(DOCS) \
		--enable-drafts=no

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbgsym-migration='libczmq-dbg (<< 4.1.0-1~)'

# unit tests are too unreliable on buildd, even i386.
# and on mips it seems to hang, so avoid running it.
override_dh_auto_test:
ifeq (yes,$(TESTS))
ifneq ($(DEB_HOST_ARCH),mips)
	-dh_auto_test -- VERBOSE=1
endif
endif

=== debian/watch ===
version=3
https://github.com/zeromq/czmq/releases .*/v\d.+/czmq-([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## czmq 4.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,8 @@
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
 # Select flags
 SET(CMAKE_C_FLAGS_RELEASE "-O3")
+
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/builds/cmake/Modules)
 
 # Will be used to add flags to pkg-config useful when apps want to statically link
 set(pkg_config_libs_private "")
@@ -164,7 +166,7 @@
 ########################################################################
 set(CZMQ_VERSION_MAJOR 4)
 set(CZMQ_VERSION_MINOR 1)
-set(CZMQ_VERSION_PATCH 0)
+set(CZMQ_VERSION_PATCH 1)
 set(CZMQ_VERSION "${CZMQ_VERSION_MAJOR}.${CZMQ_VERSION_MINOR}.${CZMQ_VERSION_PATCH}")
 message(STATUS "Detected CZMQ Version - ${CZMQ_VERSION}")
 
@@ -232,6 +234,8 @@
 ########################################################################
 # library
 ########################################################################
+
+
 include_directories("${SOURCE_DIR}/src" "${SOURCE_DIR}/include")
 set (czmq_sources
     src/zactor.c
@@ -295,8 +299,8 @@
 IF (NOT MSVC)
   # avoid building everything twice for shared + static
   # only on *nix, as Windows needs different preprocessor defines in static builds
-  add_library (objects OBJECT ${czmq_sources})
-  set_property(TARGET objects PROPERTY POSITION_INDEPENDENT_CODE ON)
+  add_library (czmq_objects OBJECT ${czmq_sources})
+  set_property(TARGET czmq_objects PROPERTY POSITION_INDEPENDENT_CODE ON)
 ENDIF (NOT MSVC)
 
 # shared
@@ -304,7 +308,7 @@
   IF (MSVC)
     add_library(czmq SHARED ${czmq_sources})
   ELSE (MSVC)
-    add_library(czmq SHARED $<TARGET_OBJECTS:objects>)
+    add_library(czmq SHARED $<TARGET_OBJECTS:czmq_objects>)
   ENDIF (MSVC)
 
   set_target_properties (czmq PROPERTIES
@@ -337,7 +341,7 @@
   IF (MSVC)
     add_library(czmq-static STATIC ${czmq_sources})
   ELSE (MSVC)
-    add_library(czmq-static STATIC $<TARGET_OBJECTS:objects>)
+    add_library(czmq-static STATIC $<TARGET_OBJECTS:czmq_objects>)
   ENDIF (MSVC)
 
   set_target_properties(czmq-static PROPERTIES
@@ -372,7 +376,7 @@
 ########################################################################
 # pkgconfig
 ########################################################################
-set (VERSION "4.1.0")
+set (VERSION "4.1.1")
 set (prefix "${CMAKE_INSTALL_PREFIX}")
 set (exec_prefix "\${prefix}")
 set (libdir "\${prefix}/lib${LIB_SUFFIX}")
@@ -407,8 +411,3 @@
     ${OPTIONAL_LIBRARIES}
 )
 endif()
-if (NOT TARGET czmq AND TARGET czmq-static)
-target_link_libraries(
-    zmakecert
-    czmq-static
-    ${LIBZMQ_LIBRARIES}

=== debian/changelog ===
czmq (4.1.1-1.0nosystemd1) nosystemd; urgency=medium

  * nosystemd 

 -- anticapitalista <antix@operamail.com>  Sat, 07 Apr 2018 11:58:05 +0300

czmq (4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1
  * Drop 0001-fix-hurd-ftbfs.patch, merged upstream.
  * Move repository to Salsa.

 -- Luca Boccassi <bluca@debian.org>  Fri, 23 Mar 2018 10:17:01 +0000

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,13 @@
  dh-autoreconf,
  libzmq3-dev,
  uuid-dev,
- libsystemd-dev [linux-any],
  asciidoc-base <!nodoc> | asciidoc <!nodoc>,
  xmlto <!nodoc>,
 Standards-Version: 4.1.3
 Section: libs
 Homepage: http://czmq.zeromq.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/czmq.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/czmq.git
+Vcs-Git: https://salsa.debian.org/debian/czmq.git
+Vcs-Browser: https://salsa.debian.org/debian/czmq
 
 Package: libczmq4
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--with-uuid=yes \
-		--with-libsystemd=yes \
+		--with-libsystemd=no \
 		--with-docs=$(DOCS) \
 		--enable-drafts=no

## czmq 4.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 # Will be used to add flags to pkg-config useful when apps want to statically link
 set(pkg_config_libs_private "")
+set(pkg_config_names_private "")
 
 ########################################################################
 # options
@@ -38,7 +39,7 @@
             OUTPUT_STRIP_TRAILING_WHITESPACE
         )
         message(STATUS "git workspace root [${git_result}]: ${git_root}")
-        if ( "${git_result}" == "0" )
+        if ( "${git_result}" STREQUAL "0" )
             set (CMAKE_BUILD_TYPE Debug)
         else ()
             set (CMAKE_BUILD_TYPE Release)
@@ -71,7 +72,9 @@
     CHECK_INCLUDE_FILE("net/if.h" HAVE_NET_IF_H)
 endif()
 
-file(WRITE "${SOURCE_DIR}/src/platform.h.in" "
+file(REMOVE "${SOURCE_DIR}/src/platform.h")
+
+file(WRITE "${CMAKE_BINARY_DIR}/platform.h.in" "
 #cmakedefine HAVE_LINUX_WIRELESS_H
 #cmakedefine HAVE_NET_IF_H
 #cmakedefine HAVE_NET_IF_MEDIA_H
@@ -79,7 +82,7 @@
 #cmakedefine HAVE_FREEIFADDRS
 ")
 
-configure_file("${SOURCE_DIR}/src/platform.h.in" "${SOURCE_DIR}/src/platform.h")
+configure_file("${CMAKE_BINARY_DIR}/platform.h.in" "${CMAKE_BINARY_DIR}/platform.h")
 
 #The MSVC C compiler is too out of date,
 #so the sources have to be compiled as c++
@@ -112,6 +115,7 @@
 
 list(APPEND CMAKE_MODULE_PATH "${SOURCE_DIR}")
 set(OPTIONAL_LIBRARIES)
+set(OPTIONAL_LIBRARIES_STATIC)
 
 ########################################################################
 # LIBZMQ dependency
@@ -120,7 +124,12 @@
 IF (LIBZMQ_FOUND)
     include_directories(${LIBZMQ_INCLUDE_DIRS})
     list(APPEND MORE_LIBRARIES ${LIBZMQ_LIBRARIES})
-    set(pkg_config_libs_private "${pkg_config_libs_private} -lzmq")
+  IF (PC_LIBZMQ_FOUND)
+      set(pkg_config_names_private "${pkg_config_names_private} libzmq")
+      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_LIBZMQ_STATIC_LDFLAGS})
+  ELSE (PC_LIBZMQ_FOUND)
+      set(pkg_config_libs_private "${pkg_config_libs_private} -lzmq")
+  ENDIF (PC_LIBZMQ_FOUND)
 ELSE (LIBZMQ_FOUND)
     message( FATAL_ERROR "libzmq not found." )
 ENDIF (LIBZMQ_FOUND)
@@ -132,7 +141,12 @@
 IF (UUID_FOUND)
     include_directories(${UUID_INCLUDE_DIRS})
     list(APPEND MORE_LIBRARIES ${UUID_LIBRARIES})
-    set(pkg_config_libs_private "${pkg_config_libs_private} -luuid")
+  IF (PC_UUID_FOUND)
+      set(pkg_config_names_private "${pkg_config_names_private} uuid")
+      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_UUID_STATIC_LDFLAGS})
+  ELSE (PC_UUID_FOUND)
+      set(pkg_config_libs_private "${pkg_config_libs_private} -luuid")
+  ENDIF (PC_UUID_FOUND)
     add_definitions(-DHAVE_UUID)
     list(APPEND OPTIONAL_LIBRARIES ${UUID_LIBRARIES})
 ENDIF (UUID_FOUND)
@@ -144,7 +158,12 @@
 IF (SYSTEMD_FOUND)
     include_directories(${SYSTEMD_INCLUDE_DIRS})
     list(APPEND MORE_LIBRARIES ${SYSTEMD_LIBRARIES})
-    set(pkg_config_libs_private "${pkg_config_libs_private} -lsystemd")
+  IF (PC_SYSTEMD_FOUND)
+      set(pkg_config_names_private "${pkg_config_names_private} libsystemd >= 200.0.0")
+      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_SYSTEMD_STATIC_LDFLAGS})
+  ELSE (PC_SYSTEMD_FOUND)
+      set(pkg_config_libs_private "${pkg_config_libs_private} -lsystemd")
+  ENDIF (PC_SYSTEMD_FOUND)
     add_definitions(-DHAVE_LIBSYSTEMD)
     list(APPEND OPTIONAL_LIBRARIES ${SYSTEMD_LIBRARIES})
 ENDIF (SYSTEMD_FOUND)
@@ -156,17 +175,56 @@
 IF (LZ4_FOUND)
     include_directories(${LZ4_INCLUDE_DIRS})
     list(APPEND MORE_LIBRARIES ${LZ4_LIBRARIES})
-    set(pkg_config_libs_private "${pkg_config_libs_private} -llz4")
+  IF (PC_LZ4_FOUND)
+      set(pkg_config_names_private "${pkg_config_names_private} liblz4")
+      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_LZ4_STATIC_LDFLAGS})
+  ELSE (PC_LZ4_FOUND)
+      set(pkg_config_libs_private "${pkg_config_libs_private} -llz4")
+  ENDIF (PC_LZ4_FOUND)
     add_definitions(-DHAVE_LIBLZ4)
     list(APPEND OPTIONAL_LIBRARIES ${LZ4_LIBRARIES})
 ENDIF (LZ4_FOUND)
 
 ########################################################################
+# LIBCURL dependency
+########################################################################
+find_package(libcurl)
+IF (LIBCURL_FOUND)
+    include_directories(${LIBCURL_INCLUDE_DIRS})
+    list(APPEND MORE_LIBRARIES ${LIBCURL_LIBRARIES})
+  IF (PC_LIBCURL_FOUND)
+      set(pkg_config_names_private "${pkg_config_names_private} libcurl >= 7.28.0")
+      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_LIBCURL_STATIC_LDFLAGS})
+  ELSE (PC_LIBCURL_FOUND)
+      set(pkg_config_libs_private "${pkg_config_libs_private} -lcurl")
+  ENDIF (PC_LIBCURL_FOUND)
+    add_definitions(-DHAVE_LIBCURL)
+    list(APPEND OPTIONAL_LIBRARIES ${LIBCURL_LIBRARIES})
+ENDIF (LIBCURL_FOUND)
+
+########################################################################
+# LIBMICROHTTPD dependency
+########################################################################
+find_package(libmicrohttpd)
+IF (LIBMICROHTTPD_FOUND)
+    include_directories(${LIBMICROHTTPD_INCLUDE_DIRS})
+    list(APPEND MORE_LIBRARIES ${LIBMICROHTTPD_LIBRARIES})
+  IF (PC_LIBMICROHTTPD_FOUND)
+      set(pkg_config_names_private "${pkg_config_names_private} libmicrohttpd")
+      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_LIBMICROHTTPD_STATIC_LDFLAGS})
+  ELSE (PC_LIBMICROHTTPD_FOUND)
+      set(pkg_config_libs_private "${pkg_config_libs_private} -lmicrohttpd")
+  ENDIF (PC_LIBMICROHTTPD_FOUND)
+    add_definitions(-DHAVE_LIBMICROHTTPD)
+    list(APPEND OPTIONAL_LIBRARIES ${LIBMICROHTTPD_LIBRARIES})
+ENDIF (LIBMICROHTTPD_FOUND)
+
+########################################################################
 # version
 ########################################################################
 set(CZMQ_VERSION_MAJOR 4)
-set(CZMQ_VERSION_MINOR 1)
-set(CZMQ_VERSION_PATCH 1)
+set(CZMQ_VERSION_MINOR 2)
+set(CZMQ_VERSION_PATCH 0)
 set(CZMQ_VERSION "${CZMQ_VERSION_MAJOR}.${CZMQ_VERSION_MINOR}.${CZMQ_VERSION_PATCH}")
 message(STATUS "Detected CZMQ Version - ${CZMQ_VERSION}")
 
@@ -225,6 +283,11 @@
         include/zproc.h
         include/ztimerset.h
         include/ztrie.h
+        include/zhttp_client.h
+        include/zhttp_server.h
+        include/zhttp_server_options.h
+        include/zhttp_request.h
+        include/zhttp_response.h
     )
 ENDIF (ENABLE_DRAFTS)
 
@@ -236,7 +299,7 @@
 ########################################################################
 
 
-include_directories("${SOURCE_DIR}/src" "${SOURCE_DIR}/include")
+include_directories("${SOURCE_DIR}/src" "${SOURCE_DIR}/include" "${CMAKE_BINARY_DIR}")
 set (czmq_sources
     src/zactor.c
     src/zarmour.c
@@ -277,6 +340,11 @@
         src/zproc.c
         src/ztimerset.c
         src/ztrie.c
+        src/zhttp_client.c
+        src/zhttp_server.c
+        src/zhttp_server_options.c
+        src/zhttp_request.c
+        src/zhttp_response.c
     )
 ENDIF (ENABLE_DRAFTS)
 
@@ -298,116 +366,3 @@
 
 IF (NOT MSVC)
   # avoid building everything twice for shared + static
-  # only on *nix, as Windows needs different preprocessor defines in static builds
-  add_library (czmq_objects OBJECT ${czmq_sources})
-  set_property(TARGET czmq_objects PROPERTY POSITION_INDEPENDENT_CODE ON)
-ENDIF (NOT MSVC)
-
-# shared
-if (CZMQ_BUILD_SHARED)
-  IF (MSVC)
-    add_library(czmq SHARED ${czmq_sources})
-  ELSE (MSVC)
-    add_library(czmq SHARED $<TARGET_OBJECTS:czmq_objects>)
-  ENDIF (MSVC)
-
-  set_target_properties (czmq PROPERTIES
-    PUBLIC_HEADER "${public_headers}"
-    DEFINE_SYMBOL "CZMQ_EXPORTS"
-    SOVERSION "4"
-    VERSION "${CZMQ_VERSION}"
-    COMPILE_DEFINITIONS "DLL_EXPORT"
-    OUTPUT_NAME "czmq"
-    PREFIX "lib"
-  )
-
-  target_link_libraries(czmq
-    ${ZEROMQ_LIBRARIES} ${MORE_LIBRARIES}
-  )
-
-  install(TARGETS czmq
-    LIBRARY DESTINATION "lib${LIB_SUFFIX}" # .so file
-    ARCHIVE DESTINATION "lib${LIB_SUFFIX}" # .lib file
-    RUNTIME DESTINATION bin                # .dll file
-  )
-
-  target_include_directories(czmq
-    PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/include
-  )
-endif()
-
-# static
-if (CZMQ_BUILD_STATIC)
-  IF (MSVC)
-    add_library(czmq-static STATIC ${czmq_sources})
-  ELSE (MSVC)
-    add_library(czmq-static STATIC $<TARGET_OBJECTS:czmq_objects>)
-  ENDIF (MSVC)
-
-  set_target_properties(czmq-static PROPERTIES
-    PUBLIC_HEADER "${public_headers}"
-    COMPILE_DEFINITIONS "CZMQ_STATIC"
-    OUTPUT_NAME "czmq"
-    PREFIX "lib"
-  )
-
-  target_link_libraries(czmq-static
-    ${ZEROMQ_LIBRARIES} ${MORE_LIBRARIES}
-  )
-
-  install(TARGETS czmq-static
-    LIBRARY DESTINATION "lib${LIB_SUFFIX}" # .so file
-    ARCHIVE DESTINATION "lib${LIB_SUFFIX}" # .lib file
-    RUNTIME DESTINATION bin                # .dll file
-  )
-
-  target_include_directories(czmq-static
-    PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/include
-  )
-  target_compile_definitions(czmq-static
-    PUBLIC CZMQ_STATIC
-  )
-
-endif()
-
-
-include(${CMAKE_CURRENT_SOURCE_DIR}/src/CMakeLists-local.txt) # Optional project-local hook
-
-########################################################################
-# pkgconfig
-########################################################################
-set (VERSION "4.1.1")
-set (prefix "${CMAKE_INSTALL_PREFIX}")
-set (exec_prefix "\${prefix}")
-set (libdir "\${prefix}/lib${LIB_SUFFIX}")
-set (includedir "\${prefix}/include")
-IF (ENABLE_DRAFTS)
-    set (pkg_config_defines "-DCZMQ_BUILD_DRAFT_API=1")
-ELSE (ENABLE_DRAFTS)
-    set (pkg_config_defines "")
-ENDIF (ENABLE_DRAFTS)
-configure_file(
-    "${SOURCE_DIR}/src/libczmq.pc.in"
-    "${SOURCE_DIR}/src/libczmq.pc"
-@ONLY)
-
-install(
-    FILES "${SOURCE_DIR}/src/libczmq.pc"
-    DESTINATION "lib${LIB_SUFFIX}/pkgconfig"
-)
-
-########################################################################
-# executables
-########################################################################
-add_executable(
-    zmakecert
-    "${SOURCE_DIR}/src/zmakecert.c"
-)
-if (TARGET czmq)
-target_link_libraries(
-    zmakecert
-    czmq
-    ${LIBZMQ_LIBRARIES}
-    ${OPTIONAL_LIBRARIES}
-)
-endif()

=== bindings/jni/CMakeLists.txt ===
--- 
+++ 
@@ -66,6 +66,11 @@
     src/main/c/org_zeromq_czmq_Ztimerset.c
     src/main/c/org_zeromq_czmq_Ztrie.c
     src/main/c/org_zeromq_czmq_Zuuid.c
+    src/main/c/org_zeromq_czmq_ZhttpClient.c
+    src/main/c/org_zeromq_czmq_ZhttpServer.c
+    src/main/c/org_zeromq_czmq_ZhttpServerOptions.c
+    src/main/c/org_zeromq_czmq_ZhttpRequest.c
+    src/main/c/org_zeromq_czmq_ZhttpResponse.c
 )
 
 add_library (czmqjni SHARED ${czmqjni_sources})

=== bindings/jni/android/CMakeLists.txt ===
--- 
+++ 
@@ -66,6 +66,11 @@
     ../src/main/c/org_zeromq_czmq_Ztimerset.c
     ../src/main/c/org_zeromq_czmq_Ztrie.c
     ../src/main/c/org_zeromq_czmq_Zuuid.c
+    ../src/main/c/org_zeromq_czmq_ZhttpClient.c
+    ../src/main/c/org_zeromq_czmq_ZhttpServer.c
+    ../src/main/c/org_zeromq_czmq_ZhttpServerOptions.c
+    ../src/main/c/org_zeromq_czmq_ZhttpRequest.c
+    ../src/main/c/org_zeromq_czmq_ZhttpResponse.c
 )
 
 add_library (czmqjni SHARED ${czmqjni_sources})

=== debian/changelog ===
czmq (4.2.0-2) unstable; urgency=medium

  * Add uuid-dev and libsystemd-dev dependencies on libczmq-dev, required
    by pkg-config --cflags libczmq.pc. (Closes: #923695)

 -- Luca Boccassi <bluca@debian.org>  Sun, 03 Mar 2019 22:23:19 +0000

czmq (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * Drop all patches, merged upstream.
  * Update symbols file for 4.2.0.
  * Bump Standards-Version to 4.3.0, no changes.
  * Drop build-dependency on autotools-dev, not needed.

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Feb 2019 18:41:55 +0000

czmq (4.1.1-3) unstable; urgency=medium

  * Add 0002-uuid-dependency-leaks-through-public-header.patch.
    Do not add includes for the external uuid library in the public
    header, there is no need for it as the usage is internal. (Closes: #915729)
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.2.1.

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Dec 2018 22:18:24 +0000

czmq (4.1.1-2) unstable; urgency=medium

  * Add 0001-fix-kfreebsd-ftbfs.patch to fix build on GNU/kFreeBSD.
  * Bump Standards-Version to 4.1.4, no changes.

 -- Luca Boccassi <bluca@debian.org>  Sun, 29 Apr 2018 16:50:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Priority: optional
 Maintainer: Luca Boccassi <bluca@debian.org>
 Build-Depends: debhelper (>= 9.20160114),
- autotools-dev,
  pkg-config,
  dh-autoreconf,
  libzmq3-dev,
  uuid-dev,
+ libsystemd-dev [linux-any],
  asciidoc-base <!nodoc> | asciidoc <!nodoc>,
  xmlto <!nodoc>,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
 Section: libs
 Homepage: http://czmq.zeromq.org/
 Vcs-Git: https://salsa.debian.org/debian/czmq.git
@@ -40,6 +41,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          libzmq3-dev,
+         uuid-dev,
+         libsystemd-dev [linux-any],
          libczmq4 (= ${binary:Version})
 Multi-Arch: same
 Description: High-level C binding for ZeroMQ (development files)
